### Method

# Gio SocketClient set_tls_validation_flags

deprecated: 2.72 since: 2.28

#### Declaration [src]

    void
    g_socket_client_set_tls_validation_flags (
      GSocketClient* client,
      GTlsCertificateFlags flags
    )

#### Description [src]

Sets the TLS validation flags used when creating TLS connections via `client`. The default value is `G_TLS_CERTIFICATE_VALIDATE_ALL`.

This function does not work as originally designed and is impossible to use correctly. See `GSocketClient:tls-validation-flags` for more information.

Available since: 2.28

Deprecated since: 2.72

Do not attempt to ignore validation errors.

Sets property | `Gio.SocketClient:tls-validation-flags`

#### Parameters

`flags`

  Type: `GTlsCertificateFlags`

  The validation flags.